r7038 - in trunk/BOOK: . introduction/welcome pst/printing xsoft/office

randy at linuxfromscratch.org randy at linuxfromscratch.org
Thu Aug 9 04:36:59 PDT 2007


Author: randy
Date: 2007-08-09 05:36:59 -0600 (Thu, 09 Aug 2007)
New Revision: 7038

Added:
   trunk/BOOK/pst/printing/gutenprint.xml
Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/introduction/welcome/credits.xml
   trunk/BOOK/pst/printing/cups.xml
   trunk/BOOK/pst/printing/espgs.xml
   trunk/BOOK/pst/printing/printing.xml
   trunk/BOOK/xsoft/office/gimp.xml
Log:
Replaced the obsolete Gimp-Print package with Gutenprint-5.0.1

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/general.ent	2007-08-09 11:36:59 UTC (rev 7038)
@@ -3,7 +3,7 @@
 $Date$
 -->
 
-<!ENTITY day          "08">                   <!-- Always 2 digits -->
+<!ENTITY day          "09">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2007">
 <!ENTITY version      "svn-&year;&month;&day;">
@@ -130,15 +130,16 @@
 <!ENTITY dbus-python-version          "0.82.0">
 <!ENTITY dbus-qt3-version             "0.62">
 <!ENTITY libpthread-stubs-version     "0.1">
-<!-- <!ENTITY fam-version             "2.7.0"> -->
-<!-- Ispell has been removed as aspell is superior. See ticket #2101.
-     <!ENTITY ispell-version               "3.2.06.epa7"> -->
 
+<!-- Obsolete
+<!ENTITY fam-version                  "2.7.0">
+<!ENTITY ispell-version               "3.2.06.epa7"> 
+-->
+
 <!-- Chapter 9 -->
 <!ENTITY libjpeg-version              "6b">
 <!ENTITY libpng-version               "1.2.18">
 <!ENTITY libtiff-version              "3.8.2">
-<!-- <!ENTITY libungif-version             "4.1.3"> -->
 <!ENTITY giflib-version               "4.1.4">
 <!ENTITY lcms-version                 "1.16">
 <!ENTITY libmng-version               "1.0.9">
@@ -153,6 +154,10 @@
 <!ENTITY fribidi-version              "0.10.8">
 <!ENTITY poppler-version              "0.5.4">
 
+<!-- Obsolete
+<!ENTITY libungif-version             "4.1.3">
+-->
+
 <!-- Chapter 10 -->
 <!ENTITY bc-version                   "1.06">
 <!ENTITY rep-gtk-version              "0.18">
@@ -349,10 +354,11 @@
 <!ENTITY fetchmail-version            "6.3.8">
 <!ENTITY mutt-version                 "1.5.16">
 <!ENTITY pine-version                 "4.64">
-<!-- Commenting out slrn as tin has replaced it
+<!ENTITY tin-version                 "1.8.2">
+
+<!-- Obsolete as Tin has replaced it
 <!ENTITY slrn-version                 "0.9.8.1">
 -->
-<!ENTITY tin-version                 "1.8.2">
 
 <!-- Part VI -->
 <!-- Chapter 21 -->
@@ -665,7 +671,11 @@
 <!ENTITY LPRng-version                "3.8.28">
 <!ENTITY gs-version                   "8.53">
 <!ENTITY espgs-version                "8.15.4">
+<!ENTITY gutenprint-version           "5.0.1">
+
+<!-- Obsolete
 <!ENTITY gimp-print-version           "4.2.7">
+-->
 
 <!-- Chapter 43 -->
 <!ENTITY sane-version                 "1.0.18">

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -42,6 +42,16 @@
 -->
 
     <listitem>
+      <para>August 9th, 2007</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Replaced the obsolete Gimp-Print package with
+          Gutenprint-5.0.1.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 8th, 2007</para>
       <itemizedlist>
         <listitem>

Modified: trunk/BOOK/introduction/welcome/credits.xml
===================================================================
--- trunk/BOOK/introduction/welcome/credits.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/introduction/welcome/credits.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -300,7 +300,7 @@
       </listitem>
 
       <listitem>
-        <para>Gimp-Print, libusb and TIN:
+        <para>Gutenprint (originally was Gimp-Print), libusb and TIN:
         <emphasis>Alexander E. Patrakov</emphasis></para>
       </listitem>
 

Modified: trunk/BOOK/pst/printing/cups.xml
===================================================================
--- trunk/BOOK/pst/printing/cups.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/pst/printing/cups.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -172,7 +172,7 @@
     <para>For non-PostScript printers to print with
     <application>CUPS</application>, you need to install
     <xref linkend="espgs"/> to convert PostScript to raster images
-    and a driver (e.g., from <xref linkend="gimp-print"/>) to convert
+    and a driver (e.g., from <xref linkend="gutenprint"/>) to convert
     the resulting raster images to a form that the printer understands.
     <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>
     drivers use Ghostscript to convert PostScript to a printable form directly,

Modified: trunk/BOOK/pst/printing/espgs.xml
===================================================================
--- trunk/BOOK/pst/printing/espgs.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/pst/printing/espgs.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -238,7 +238,7 @@
           <para>is a filter used by <application>CUPS</application> to convert
           PostScript to a generic raster image format that is acceptable as an
           input to drivers for non-PostScript printers (e.g., from
-          <xref linkend="gimp-print"/>). It is built and installed only if
+          <xref linkend="gutenprint"/>). It is built and installed only if
           <xref linkend="cups"/> is found.</para>
           <indexterm zone="espgs pstoraster">
             <primary sortas="g-pstoraster">pstoraster</primary>

Added: trunk/BOOK/pst/printing/gutenprint.xml
===================================================================
--- trunk/BOOK/pst/printing/gutenprint.xml	                        (rev 0)
+++ trunk/BOOK/pst/printing/gutenprint.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -0,0 +1,219 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY gutenprint-download-http "http://downloads.sourceforge.net/gimp-print/gutenprint-&gutenprint-version;.tar.bz2">
+  <!ENTITY gutenprint-download-ftp  " ">
+  <!ENTITY gutenprint-md5sum        "4ec66d57c1014b503d6bea16b1c31d81">
+  <!ENTITY gutenprint-size          "4.8 MB">
+  <!ENTITY gutenprint-buildsize     "49 MB">
+  <!ENTITY gutenprint-time          "0.9 SBU">
+]>
+
+<sect1 id="gutenprint" xreflabel="Gutenprint-&gutenprint-version;">
+  <?dbhtml filename="gutenprint.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Gutenprint-&gutenprint-version;</title>
+
+  <indexterm zone="gutenprint">
+    <primary sortas="a-Gutenprint">Gutenprint</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Gutenprint</title>
+
+    <para>The <application>Gutenprint</application> (formerly
+    <application>Gimp-Print</application>) package contains high
+    quality drivers for many brands and models of printers for use with
+    <xref linkend="espgs"/>, <xref linkend="cups"/>,
+    <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>,
+    <xref linkend="LPRng"/>, <command>lpr</command> and the
+    <application>GIMP-2.0</application>. See a list of supported printers at
+    <ulink url="http://gutenprint.sourceforge.net/p_Supported_Printers.php3"/>.
+    </para>
+
+<!-- FIXME: APFL Ghostscript is not tested. Don't forget to check the license. -->
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gutenprint-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gutenprint-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gutenprint-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gutenprint-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gutenprint-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gutenprint-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Gutenprint Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="cups"/>,
+    <ulink url="http://www.linuxprinting.org/foomatic.html">Foomatic</ulink>,
+    <ulink url="http://www.linuxprinting.org/ijs/">IJS</ulink>,
+    <xref linkend="gimp"/>,
+    <xref linkend="GTK"/>, and
+    <xref linkend="gtk2"/></para>
+
+    <bridgehead renderas="sect4">Optional (to Regenerate Documentation)</bridgehead>
+    <para role="optional"><xref linkend="imagemagick"/>,
+    <xref linkend="tetex"/>,
+    <xref linkend="doxygen"/>, and
+    <xref linkend="docbook-utils"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/gutenprint"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Gutenprint</title>
+
+    <para>Install <application>Gutenprint</application> by running the
+    following commands:</para>
+
+<screen><userinput>sed -i 's|$(PACKAGE)/doc|doc/$(PACKAGE)-$(VERSION)|' \
+       doc{,/developer}/Makefile.in &&
+./configure --prefix=/usr &&
+make</userinput></screen>
+
+    <para>To test the results, issue <command>make check</command>. This
+    could take a very long time (100+ SBUs).</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install &&
+install -v -m755 -d /usr/share/doc/gutenprint-&gutenprint-version;/api/gutenprint{,ui2} &&
+install -v -m644    doc/gutenprint/html/* \
+                    /usr/share/doc/gutenprint-&gutenprint-version;/api/gutenprint &&
+install -v -m644    doc/gutenprintui2/html/* \
+                    /usr/share/doc/gutenprint-&gutenprint-version;/api/gutenprintui2</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i '...' doc{,/developer}/Makefile.in</command>: This
+    command is used so that the package documentation is installed in the
+    conventional <filename class='directory'>/usr/share/doc</filename>
+    directory structure instead of
+    <filename class='directory'>/usr/share/gutenprint/doc</filename>.</para>
+
+    <para><option>--with-translated-ppds=no</option>: When this parameter is
+    given, only US English PPD files for <application>CUPS</application>
+    will be built. Useful if the PPD files are not yet translated into your
+    native language and you want to save some space by not installing unneeded
+    translations.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Gutenprint</title>
+
+    <sect3>
+      <title>Configuration Information</title>
+
+      <para>For <application>CUPS</application> to see newly installed PPD
+      files, it has to be restarted (as the <systemitem
+      class="username">root</systemitem> user):</para>
+
+<screen role="root"><userinput>/etc/rc.d/init.d/cups restart</userinput></screen>
+
+      <para>This command may take a long time (up to 10 minutes)
+      to complete. Don't panic while <application>CUPS</application>
+      is rescanning the list of PPD files. The long delay will happen
+      only once.</para>
+
+      <para>Then point your web browser to <ulink url="http://localhost:631/"/>
+      to add a new printer to <application>CUPS</application>.</para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>cups-calibrate, cups-genppd.5.0, cups-genppdconfig.5.0,
+        cups-genppdupdate.5.0, escputil, ijsgutenprint.5.0, and
+        testpattern</seg>
+        <seg>libgutenprint.{so,a}, libgutenprintui2.{so,a},
+        libgutenprintui2.{so,a} and optionally, various
+        <application>CUPS</application> filters and backend
+        drivers</seg>
+        <seg>/usr/include/gutenprint, /usr/lib/gimp/1.2, /usr/lib/gutenprint,
+        /usr/share/doc/gutenprint-&gutenprint-version; and
+        /usr/share/gutenprint</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cups-calibrate">
+        <term><command>cups-calibrate</command></term>
+        <listitem>
+          <para>calibrates the color output of printers using the
+          <application>Gutenprint</application>,
+          <application>CUPS</application> or
+          <application>ESP Print Pro</application> drivers.</para>
+          <indexterm zone="gutenprint cups-calibrate">
+            <primary sortas="b-cups-calibrate">cups-calibrate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="escputil">
+        <term><command>escputil</command></term>
+        <listitem>
+          <para>is a command line utility to perform various maintenance
+          tasks on Epson Stylus inkjet printers.</para>
+          <indexterm zone="gutenprint escputil">
+            <primary sortas="b-escputil">escputil</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ijsgutenprint.5.0">
+        <term><command>ijsgutenprint.5.0</command></term>
+        <listitem>
+          <para>is a Ghostscript driver for
+          <application>Gutenprint</application>.</para>
+          <indexterm zone="gutenprint ijsgutenprint.5.0">
+            <primary sortas="b-ijsgutenprint.5.0">ijsgutenprint.5.0</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>


Property changes on: trunk/BOOK/pst/printing/gutenprint.xml
___________________________________________________________________
Name: svn:keywords
   + LastChangedBy Date

Modified: trunk/BOOK/pst/printing/printing.xml
===================================================================
--- trunk/BOOK/pst/printing/printing.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/pst/printing/printing.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -23,6 +23,10 @@
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="lprng.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="espgs.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gutenprint.xml"/>
+
+  <!-- Obsolete
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gimp-print.xml"/>
+  -->
 
 </chapter>

Modified: trunk/BOOK/xsoft/office/gimp.xml
===================================================================
--- trunk/BOOK/xsoft/office/gimp.xml	2007-08-08 23:09:31 UTC (rev 7037)
+++ trunk/BOOK/xsoft/office/gimp.xml	2007-08-09 11:36:59 UTC (rev 7038)
@@ -83,10 +83,11 @@
     <xref linkend="perl-xml-parser"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-    <xref linkend="gimp-print"/>,
-    <xref linkend="libjpeg"/>, and
+    <para role="recommended"><xref linkend="libjpeg"/> and
     <xref linkend="libtiff"/></para>
+    <!-- Gutenprint has made Gimp-Print obsolete. You must build the Gimp
+    first, before Gutenprint
+    <xref linkend="gimp-print"/>,-->
 
     <note>
       <para>If the recommended dependencies are not installed, the
@@ -95,26 +96,25 @@
     </note>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-    <xref linkend="libmng"/>,
+    <para role="optional"><xref linkend="libmng"/>,
     <xref linkend="librsvg"/>,
     <xref linkend="aalib"/>,
     <xref linkend="lcms"/>,
     <xref linkend="libexif"/>,
-    <xref linkend="libgtkhtml"/> (required to build the help system browser plugin),
     <xref linkend="libxslt"/>,
+    <xref linkend="alsa"/>,
+    <xref linkend="libgtkhtml"/> (required to build the help system browser plugin),
+    <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>,
     <ulink url="http://www.pygtk.org/">PyGTK</ulink> (requires
     <xref linkend="python"/>),
-    <xref linkend="gtk-doc"/>,
+    <ulink url="http://gimp-print.sourceforge.net/">Gimp-Print version 4.2.7</ulink>,
     an <xref linkend="server-mail"/> (that provides a
-    <command>sendmail</command> program),
-    <xref linkend="alsa"/>, and
-    <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink></para>
+    <command>sendmail</command> program), and
+    <xref linkend="gtk-doc"/></para>
 
     <bridgehead renderas="sect4">Optional (for Building Documentation from
     the Help Tarball)</bridgehead>
-    <para role="optional">
-    <xref linkend="libxslt"/>,
+    <para role="optional"><xref linkend="libxslt"/>,
     <xref linkend="DocBook"/>, and
     <xref linkend="docbook-xsl"/></para>
 
@@ -131,7 +131,7 @@
 
 <screen><userinput>./configure --prefix=/usr \
             --sysconfdir=/etc \
-            --datadir=/usr/share &&
+            --disable-print &&
 make</userinput></screen>
 
     <para>To test the results, issue: <command>make check</command>.</para>
@@ -150,12 +150,9 @@
     the <command>xsltproc</command> program from <xref linkend="libxslt"/>
     to build the HTML files.</para>
 
-    <para>If you downloaded the <filename>gimp-help</filename> tarball, change
-    directories out of the <application>GIMP</application> source tree to
-    the root of your build directory. Now unpack the
-    <filename>gimp-help</filename> tarball and change directories to the
-    root of the newly created source tree (as an unprivileged user).
-    Issue the following commands to install the help files:</para>
+    <para>If you downloaded the <filename>gimp-help</filename> tarball, unpack
+    it and change into the root of the newly created source tree (as an
+    unprivileged user). Issue the following commands to install the help files:</para>
 
 <screen><userinput>./configure &&
 make</userinput></screen>
@@ -169,16 +166,18 @@
   <sect2 role="commands" id='gimp-cmd-explanations'>
     <title>Command Explanations</title>
 
-    <para><parameter>--datadir=/usr/share</parameter>: This parameter is
+    <!-- <para><parameter>-datadir=/usr/share</parameter>: This parameter is
     required because there is a subtle bug in
     <application>Autoconf-&lfs-autoconf-version;</application> which causes the
     <command>configure</command> script to mishandle the
     <envar>datarootdir</envar> variable. Fortunately, passing
-    <parameter>--datadir=</parameter> works around the problem.</para>
+    <parameter>-datadir=</parameter> works around the problem.</para> -->
 
-    <para><option>--disable-print</option>: This option will disable print
-    support and is necessary if <application>Gimp-Print</application> is not
-    installed.</para>
+    <para><option>-disable-print</option>: This option disables print support
+    and is required if the obsolete <application>Gimp-Print</application>
+    package is not installed. Print support for the
+    <application>Gimp</application> can be provided later by installing
+    the <xref linkend="gutenprint"/> package.</para>
 
     <para><option>--without-libjpeg</option>: This option is necessary if
     <application>libjpeg</application> is not installed.</para>




More information about the blfs-book mailing list